<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ebuy',

    /*
     * Package.
     */
    'package'   => 'deal',

    /*
     * Modules.
     */
    'modules'   => ['deal'],

    
    'deal'       => [
        'model' => [
            'model'                 => \Ebuy\Deal\Models\Deal::class,
            'table'                 => 'deals',
            'presenter'             => \Ebuy\Deal\Repositories\Presenter\DealPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'product_id',  'category_id',  'title',  'subtitle',  'start_date',  'end_date',  'type',  'value',  'image',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'deal/deal',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Ebuy',
            'package'   => 'Deal',
            'module'    => 'Deal',
        ],

    ],
];
