<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDealsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: deals
         */
        Schema::create('deals', function ($table) {
            $table->increments('id');
            $table->integer('product_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->text('title')->nullable();
            $table->text('subtitle')->nullable();
            $table->timestamp('start_date')->nullable();
            $table->timestamp('end_date')->nullable();
            $table->enum('type', ['percentage','amount'])->nullable();
            $table->float('value')->nullable();
            $table->text('image')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('deals');
    }
}
