Lavalite package that provides deal management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `ebuy/deal`.

    "ebuy/deal": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Ebuy\Deal\Providers\DealServiceProvider::class,

And also add it to alias

    'Deal'  => Ebuy\Deal\Facades\Deal::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Ebuy\\DealTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Ebuy\Deal\Providers\DealServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Ebuy\Deal\Providers\DealServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Ebuy\Deal\Providers\DealServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/deal/{modulename}

**User**

    http://path-to-route-folder/user/deal/{modulename}

**Public**

    http://path-to-route-folder/deals


### API endpoints

**List**

    http://path-to-route-folder/api/user/deal/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/deal/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/deal/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/deal/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/deal/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/deal/{modulename}/{slug}
    METHOD: GET