<?php

namespace Ebuy\Deal;

use User;

class Deal
{
    /**
     * $deal object.
     */
    protected $deal;

    /**
     * Constructor.
     */
    public function __construct(\Ebuy\Deal\Interfaces\DealRepositoryInterface $deal)
    {
        $this->deal = $deal;
    }

    /**
     * Returns count of deal.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.deal.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->deal->pushCriteria(new \Litepie\Ebuy\Repositories\Criteria\DealUserCriteria());
        }

        $deal = $this->deal->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('deal::' . $view, compact('deal'))->render();
    }
}
