<?php

namespace Ebuy\Deal\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DealTransformer extends TransformerAbstract
{
    public function transform(\Ebuy\Deal\Models\Deal $deal)
    {
        return [
            'id'                => $deal->getRouteKey(),
            'key'               => [
                'public'    => $deal->getPublicKey(),
                'route'     => $deal->getRouteKey(),
            ], 
            'product_id'        => $deal->product_id,
            'category_id'       => $deal->category_id,
            'title'             => $deal->title,
            'subtitle'          => $deal->subtitle,
            'start_date'        => $deal->start_date,
            'end_date'          => $deal->end_date,
            'type'              => $deal->type,
            'value'             => $deal->value,
            'image'             => $deal->image,
            'deleted_at'        => $deal->deleted_at,
            'url'               => [
                'public'    => trans_url('deal/'.$deal->getPublicKey()),
                'user'      => guard_url('deal/deal/'.$deal->getRouteKey()),
            ], 
            'status'            => trans('app.'.$deal->status),
            'created_at'        => format_date($deal->created_at),
            'updated_at'        => format_date($deal->updated_at),
        ];
    }
}